Skip to main content
GET
/
v2
/
{chain_name}
/
collections
/
{collection_address}
/
nfts
/
{token_id}
Lookup NFT By Token ID
curl --request GET \
  --url https://api.data.ormilabs.com/v2/{chain_name}/collections/{collection_address}/nfts/{token_id} \
  --header 'Authorization: Bearer <token>'
{
  "nft": {
    "attributes": [],
    "description": "",
    "external_uri": "",
    "image_uri": "",
    "logo": "https://asdadassa.com/adsad.png",
    "mint_block_number": 12321312,
    "mint_block_timestamp": "2025-05-12T13:00:05Z",
    "name": "Bacacacac",
    "owner_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
    "standard": "ERC-721",
    "symbol": "BAC",
    "token_address": "0x312e67b47a2a29ae200184949093d92369f80b53",
    "token_id": "3123121",
    "token_uri": ""
  }
}

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

collection_address
string
required

The NFT collection contract address.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D"

token_id
integer<uint64>
required

The unique identifier of the NFT token.

Example:

3123121

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Response

Successfully retrieved NFT details.

nft
object
required